Writer
Date: 2016-06-24

java.io

## Class Writer

- java.lang.Object
- - java.io.Writer

- Direct Known Subclasses:
    BufferedWriter, CharArrayWriter, FilterWriter, OutputStreamWriter, PipedWriter, PrintWriter, StringWriter

      public abstract class Writer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `lock`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Writer()`
    `protected` | `Writer(Object var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `close()`
    `abstract void` | `flush()`
    `void` | `write(char[] var0)`
    `abstract void` | `write(char[] var0, int var1, int var2)`
    `void` | `write(int var0)`
    `void` | `write(String var0)`
    `void` | `write(String var0, int var1, int var2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lock

          protected Object lock

  - ### Constructor Detail

    - #### Writer

          protected Writer()

    - #### Writer

          protected Writer(Object var0)

  - ### Method Detail

    - #### close

          public abstract void close()
                              throws IOException

      Throws:
        `IOException`

    - #### flush

          public abstract void flush()
                              throws IOException

      Throws:
        `IOException`

    - #### write

          public void write(int var0)
                     throws IOException

      Throws:
        `IOException`

    - #### write

          public void write(String var0)
                     throws IOException

      Throws:
        `IOException`

    - #### write

          public void write(String var0,
                   int var1,
                   int var2)
                     throws IOException

      Throws:
        `IOException`

    - #### write

          public void write(char[] var0)
                     throws IOException

      Throws:
        `IOException`

    - #### write

          public abstract void write(char[] var0,
                   int var1,
                   int var2)
                              throws IOException

      Throws:
        `IOException`